Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++ Members: Show All Members: Filtered Members: Filtered Members: Filtered

C#
Visual Basic
Visual C++
Include Protected Members
Include Inherited Members

Berkeley DB .NET API Documentation
DatabaseConfig Properties
DatabaseConfig Class See Also Send Feedback

The DatabaseConfig type exposes the following members.

# Properties

| Name | Description
--- | --- | ---
| EncryptAlgorithm | The algorithm used to perform encryption and decryption.
| Encrypted | Encrypt the database using the cryptographic password specified by DatabaseConfig.SetEncryption or DatabaseEnvironmentConfig.SetEncryption.
| EncryptionPassword | The password used to perform encryption and decryption.
| PageSize | The size of the pages used to hold items in the database, in bytes.

# See Also

DatabaseConfig Class
BerkeleyDB Namespace